package main

import (
	"log"

	"github.com/shirou/gopsutil/v3/mem"
)

var ramInfo = provider{
	NoVals: 5,
	ValTags: []string{
		"Used",
		"Cached",
		"Available",
		"Swap Cached",
		"Swap Free",
	},

	Fetch: func() []float64 {
		mem, err := mem.VirtualMemory()
		if err != nil {
			log.Println(err)
			return []float64{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0}
		}

		return []float64{
			float64(mem.Used) / 1000 / 1000,
			float64(mem.Cached) / 1000 / 1000,
			float64(mem.Available) / 1000 / 1000,
			float64(mem.SwapCached) / 1000 / 1000,
			float64(mem.SwapFree) / 1000 / 1000,
		}
	},
}
